When submitting a solution in C++, please select either C++14 (GCC 6-32) or C++17 (GCC 7-32) as your compiler. ×

RohitRKS's blog

By RohitRKS, history, 12 months ago, In English

Greetings Codeforces,

Competitive Programming Club, AIT Pune is excited to invite you to CoDeft 3.0 which will take place on Monday, March 27, 2023, at 20:00 IST. This contest will be an ICPC-styled contest to provide an exciting learning platform to showcase your CP skills. Many thanks to all the individuals who made this contest possible:

• Problem Setters: (_AbRn_, RohitRKS)

• (novaa, shreyas__09_) for testing and providing detailed feedback that improved the quality and balance of the round significantly.

• (Dev_Manus, hugewarriors) for coordinating the event!

This event will be conducted in 2 stages:

Qualifiers

• Date & Time: Monday, March 27, 2023, at 20:00 IST

• Participation: Individual

• Contest Link: https://www.codechef.com/CDFT2023

• Registration Link: http://shorturl.at/frIMN

• The top 100 Participants willing to come for the onsite finals will qualify for the final round.

Finals

• Date: Friday, April 14, 2023

• Participation: Individual

• Mode: Onsite, the Top 100 participants from online qualifiers will be invited for onsite finals at AIT, Pune Campus.

• Participants reporting for onsite finals will have four events CodeRed, Bug-Off, Retracer, and Short-Code to take part in.

Onsite Final Events:

◉ Codered: Competitive Programming event

◉ Retracer: Figuring out the code using only the input and output files

◉ Bug-Off: Debug the Code

◉ Short-Code: Smaller Code Wins!!

Prizes and Goodies

Qualifiers

• The top 25 Indian participants will receive goodies, delivered to their addresses.

• 5 Random Indian participants from the top 300 will receive goodies, delivered to their addresses.

• 5 Random students from AIT will receive goodies.

Finals

• All the onsite finalists will receive a CoDeft T-shirt + Goodies

• Event Winner, Runner Up

• CodeRed: 12,000/- INR and 8,000/- INR

• Retracer: 6,000/- INR and 4,000/- INR

• Bug-Off: 6,000/- INR and 4,000/- INR

• Short-Code: 6,000/- INR and 4,000/- INR

• Goodies for the top 7 participants on the leaderboard for all three events separately.

Don't forget to register to be eligible for goodies and prizeshttp://shorturl.at/frIMN

Join Discord Server for regular updates — https://discord.gg/dCSUUmRBBM

  • Vote: I like it
  • +39
  • Vote: I do not like it

»
12 months ago, # |
  Vote: I like it -9 Vote: I do not like it

Auto comment: topic has been updated by RohitRKS (previous revision, new revision, compare).

»
12 months ago, # |
Rev. 2   Vote: I like it 0 Vote: I do not like it

Reach ++

»
12 months ago, # |
Rev. 2   Vote: I like it +2 Vote: I do not like it

Excited !!

As a participant, Wish you Luck !!

»
12 months ago, # |
  Vote: I like it +1 Vote: I do not like it

All the best to every participant

»
12 months ago, # |
  Vote: I like it +8 Vote: I do not like it

What about international participants? Are they allowed to participate onsite if they qualify? If yes how will they join onsite? I mean by their own financing or there are any sponsors?

»
12 months ago, # |
  Vote: I like it 0 Vote: I do not like it

Goodies Yooohooo... All the best guys :)

»
12 months ago, # |
  Vote: I like it -9 Vote: I do not like it

Reach++

»
12 months ago, # |
  Vote: I like it -9 Vote: I do not like it

Reach++

»
12 months ago, # |
  Vote: I like it 0 Vote: I do not like it

CFBR

»
12 months ago, # |
Rev. 2   Vote: I like it +8 Vote: I do not like it

I appreciate that you are sending reminders for the contest. But please use bcc instead of cc while sending the emails.

  • »
    »
    12 months ago, # ^ |
      Vote: I like it +1 Vote: I do not like it

    Ok will look into it from next time...

»
12 months ago, # |
  Vote: I like it 0 Vote: I do not like it

Will the problems be sorted by their difficulties?

»
12 months ago, # |
Rev. 2   Vote: I like it +8 Vote: I do not like it

How to solve SUMPROD? I know some n*k solutions passed; how to do it faster, though?

  • »
    »
    12 months ago, # ^ |
      Vote: I like it +20 Vote: I do not like it

    You can use D&C + FFT. You need the coefficient of $$$x^k$$$ in $$$(1 + a[0]x)(1 + a[1]x)...(1 + a[n-1]x)$$$.

  • »
    »
    12 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    n*k solution give tle to me , i dont know why

    • »
      »
      »
      12 months ago, # ^ |
        Vote: I like it 0 Vote: I do not like it

      You can try doing space optimization in your dp.

      • »
        »
        »
        »
        12 months ago, # ^ |
          Vote: I like it 0 Vote: I do not like it

        Yus I did that , i create 2 dps and swap the old dp with new dp

»
12 months ago, # |
  Vote: I like it +1 Vote: I do not like it

475D - CGCDSSQ similar question to GCDSUBARR

»
12 months ago, # |
Rev. 2   Vote: I like it 0 Vote: I do not like it

How to solve GCD on Subarrays?

I can think of O(N^2 * Log(max(A[i])) solution;

int count = 0;
for (int i = 0; i < n; ++i) {
    int _gcd = 0;
    for (int j = i; j < n; ++j) {
        _gcd = gcd(_gcd, A[i]);
        count += (_gcd >= L && _gcd <= R);
        if (_gcd < L) {
            break;
        }
    }
}

Edit1: If there's a different approach than above.

  • »
    »
    12 months ago, # ^ |
    Rev. 4   Vote: I like it 0 Vote: I do not like it

    Since gcd is a non increasing function we can binary search to calculate count of all subarrays starting at every particular index i.

    Also due to tight TL and gcd being an idempotent function you should be using sparse table instead of segment trees for faster computation.

  • »
    »
    12 months ago, # ^ |
      Vote: I like it +1 Vote: I do not like it

    If you take all the gcd ending at arr[i] there will be atmost log(n) different gcd possible. So for finding all the gcd ending at (i+1) you can just do gcd(arr[i+1],ending at i) log(n) time.

  • »
    »
    12 months ago, # ^ |
    Rev. 2   Vote: I like it 0 Vote: I do not like it

    Thank you guys! I don't know the Segment Tree or Sparse Table but the other solution as written in the above editorial (their 2nd solution) and by sobhagyaSD makes sense to me. Thank you!

    Edit 1: Sparse Table but

»
12 months ago, # |
  Vote: I like it 0 Vote: I do not like it

Can someone share an approach for the problems today?

I can't seem to look into others people's submissions!

  • »
    »
    12 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    We will publish the editorials of the contest today. Thank you

»
12 months ago, # |
  Vote: I like it 0 Vote: I do not like it

Where to find editorial for problems ?

»
12 months ago, # |
  Vote: I like it +21 Vote: I do not like it

Can you please move problems to practice section. It is showing an error when trying to submit in practice.

  • »
    »
    12 months ago, # ^ |
    Rev. 2   Vote: I like it 0 Vote: I do not like it

    Sorry for the inconvenience, you can practise the problems now.

»
12 months ago, # |
Rev. 2   Vote: I like it 0 Vote: I do not like it

Can anyone tell me how to solve the "MAXIMISING SUM" ! I don't know whether I am missing a case or unable to understand the question statement properly I am doing this : Link

  • »
    »
    12 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    Elements can be negative too therefore sometimes it will be better to not choose any or choose only 1 element.

  • »
    »
    12 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    consider the case when a,b,c,d are negative values, then you should choose none

    • »
      »
      »
      12 months ago, # ^ |
        Vote: I like it 0 Vote: I do not like it

      He did pushed 0 at first ig, but the code was messy so can't guarantee it.

      Also arunavabanerjee2018, we can't see your submissions, so better share a pastebin/gist link or paste a better formatted version of your code.

      • »
        »
        »
        »
        12 months ago, # ^ |
        Rev. 2   Vote: I like it 0 Vote: I do not like it
        ll a[4];
                ll sum=0;
                vector<ll>v;
                v.push_back(0);
                for(ll i=0;i<4;i++){
                    cin>>a[i];
                    v.push_back(a[i]);
                }
                
                v.push_back(a[0]+a[2]);
                v.push_back(a[0]+a[3]);
                v.push_back(a[1]+a[3]);
                
                cout<<*max_element(v.begin(),v.end());
        

        I can't submit the code now, but I think endl is the mistake :'-)

    • »
      »
      »
      12 months ago, # ^ |
        Vote: I like it 0 Vote: I do not like it

      can you share your code

      • »
        »
        »
        »
        12 months ago, # ^ |
          Vote: I like it 0 Vote: I do not like it
        Code
»
12 months ago, # |
  Vote: I like it +8 Vote: I do not like it

When will the problems be available for submission in the practice section?

  • »
    »
    12 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    The practice problems will be available soon. Thank you for your patience.

»
12 months ago, # |
  Vote: I like it +6 Vote: I do not like it

THRIARR was already used in one of your past contests link. Not sure if the solution was leaked.. Could you post the solutions or atleast make submissions public? Thank you!

  • »
    »
    12 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    We will post the solutions in a short time.

»
12 months ago, # |
  Vote: I like it 0 Vote: I do not like it

How to solve zero tree?

»
12 months ago, # |
  Vote: I like it -13 Vote: I do not like it

BASTI KA HASTI BRO CODEFT AARELE KALTI LO,BOMBAY ME BACHAYA BACHI KO,PTOWN PTOWN

»
11 months ago, # |
  Vote: I like it 0 Vote: I do not like it

Any updates, will there be an offline event and who are the finalist?